@import "val";

/*---------------------------------------------------------
* g-header
---------------------------------------------------------*/
.g-header {
    position: fixed;
    width: 100%;
    height: 94px;
    top: 0;
    left: 0;
    background: rgba(255, 255, 255, 0);
    -webkit-transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);
    transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);
    z-index: 100;
}

@media screen and (max-width: 740px) {
    .g-header {
        height: 54px;
    }
}

body.fixed .g-header {
    background: rgba(255, 255, 255, .9);
}

.g-header>.wrapper {
    position: relative;
    border-top: 5px solid #ff7a86;
}

@media screen and (max-width: 740px) {
    .g-header>.wrapper {
        border-top-width: 3px;
        margin: 0;
    }
}


/* logo
----------------------------------------*/
.g-header .logo {
    width: 285px;
    margin: 20px auto 0;
}

@media screen and (max-width: 740px) {
    .g-header .logo {
        width: 200px;
        margin: 10px auto 0;
    }
}

#top .g-header h1.logo {
    -webkit-transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);
    transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);
    opacity: 0;
    visibility: hidden;
}

#top.fixed .g-header h1.logo {
    opacity: 1;
    visibility: visible;
}


/* menu-bt
----------------------------------------*/
.g-header .menu-bt {
    position: absolute;
    width: 40px;
    height: 40px;
    top: 20px;
    right: 0;
    cursor: pointer;
    z-index: 102;
}

@media screen and (max-width: 740px) {
    .g-header .menu-bt {
        top: 7px;
        right: 10px;
    }
}

.g-header .menu-bt span {
    position: absolute;
    display: block;
    height: 2px;
    background: #808080;
    right: 0;
    -webkit-transition: all .7s cubic-bezier(0.19, 1, 0.22, 1);
    transition: all .7s cubic-bezier(0.19, 1, 0.22, 1);
}

@media screen and (min-width: 741px) {

    .g-header .menu-bt:hover span:nth-of-type(1),
    .g-header .menu-bt:hover span:nth-of-type(2),
    .g-header .menu-bt:hover span:nth-of-type(3) {
        width: 40px;
    }
}

.g-header .menu-bt span:nth-of-type(1) {
    width: 40px;
    top: 7px;
}

@media screen and (max-width: 740px) {
    .g-header .menu-bt span:nth-of-type(1) {
        width: 35px;
        top: 9px;
    }
}

.g-header .menu-bt span:nth-of-type(2) {
    width: 30px;
    top: 19px;
}

@media screen and (max-width: 740px) {
    .g-header .menu-bt span:nth-of-type(2) {
        width: 25px;
    }
}

.g-header .menu-bt span:nth-of-type(3) {
    width: 20px;
    bottom: 7px;
}

@media screen and (max-width: 740px) {
    .g-header .menu-bt span:nth-of-type(3) {
        width: 15px;
        bottom: 9px;
    }
}

body.menu .g-header .menu-bt span:nth-of-type(1) {
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) rotate(45deg);
    transform: translate(-50%, -50%) rotate(45deg);
}

body.menu .g-header .menu-bt span:nth-of-type(2) {
    width: 0;
}

body.menu .g-header .menu-bt span:nth-of-type(3) {
    width: 40px;
    top: 50%;
    left: 50%;
    -webkig-transform: translate(-50%, -50%) rotate(-45deg);
    transform: translate(-50%, -50%) rotate(-45deg);
}

@media screen and (max-width: 740px) {
    body.menu .g-header .menu-bt span:nth-of-type(3) {
        width: 35px;
    }
}


/* contact-bt
----------------------------------------*/
.g-header .contact-bt {
    position: absolute;
    line-height: 1;
    font-family: "Montserrat", sans-serif;
    font-size: 1.2rem;
    font-weight: 600;
    -webkit-writing-mode: vertical-rl;
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
    letter-spacing: .2em;
    right: 6px;
    top: 130px;
    -webkit-transition: all .7s cubic-bezier(0.19, 1, 0.22, 1);
    transition: all .7s cubic-bezier(0.19, 1, 0.22, 1);
}

@media screen and (max-width: 740px) {
    .g-header .contact-bt {
        display: none;
    }
}

.g-header .contact-bt:hover {
    top: 140px;
}

body.menu .g-header .contact-bt {
    opacity: 0;
    visibility: hidden;
}

.g-header .contact-bt::before {
    content: "";
    position: absolute;
    width: 1px;
    height: 48px;
    background: #ababab;
    right: 5px;
    top: -60px;
    -webkit-transition: all .7s cubic-bezier(0.19, 1, 0.22, 1);
    transition: all .7s cubic-bezier(0.19, 1, 0.22, 1);
}

.g-header .contact-bt:hover::before {
    top: -70px;
    height: 58px;
}


/* nav
----------------------------------------*/
.g-header .nav {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(241, 240, 236, .95);
    box-sizing: border-box;
    padding: 80px;
    top: 0;
    left: 0;
    z-index: 101;
    overflow: auto;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);
    transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);
}

@media screen and (max-width: 740px) {
    .g-header .nav {
        padding: 64px 20px;
    }
}

body.menu .g-header .nav {
    opacity: 1;
    visibility: visible;
}

.g-header .nav .wrapper {
    position: relative;
}

/* logo */
.g-header .nav .logo {
    position: absolute;
    display: inline-block;
    width: 230px;
    top: 50%;
    right: 0;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
}

@media screen and (max-width: 1100px) {
    .g-header .nav .logo {
        position: static;
        display: block;
        margin: 0 auto;
        -webkit-transform: none;
        transform: none;
    }
}

/* sns */
.g-header .nav .sns {
    position: absolute;
    top: 50%;
    right: 0;
    -webkit-transform: translateY(50px);
    transform: translateY(50px);
}

@media screen and (max-width: 1100px) {
    .g-header .nav .sns {
        position: static;
        text-align: center;
        margin: 0 auto;
        -webkit-transform: none;
        transform: none;
    }
}

/* links */
.g-header .nav .links {
    font-size: 1.8rem;
    padding-left: 50%;
}

@media screen and (max-width: 1100px) {
    .g-header .nav .links {
        text-align: center;
        margin: 40px 0;
        padding-left: 0;
    }
}

@media screen and (max-width: 740px) {
    .g-header .nav .links {
        font-size: 1.6rem;
    }
}

.g-header .nav .links li:nth-child(n+2) {
    margin-top: 2.5em;
}

@media screen and (max-width: 1100px) {
    .g-header .nav .links li:nth-child(n+2) {
        margin-top: 1.5em;
    }
}

@media screen and (max-width: 740px) {
    .g-header .nav .links li:nth-child(n+2) {
        margin-top: 1.0em;
    }
}